- request:
    method: GET
    path: /api/v4/projects/{{project_name}}/repository/tree
  response:
    status: 200
    headers:
      Content-Type: application/json
    body: |
      [
        {
          "id": "0fa78ba25aee3ed6f754c01441b7eb3d8897c3f7",
          "name": "Gemfile",
          "type": "blob",
          "path": "Gemfile",
          "mode": "100644"
        },
        {
          "id": "c385e8593f517c93a25360a064a11fd8bb8f9353",
          "name": "Gemfile.lock",
          "type": "blob",
          "path": "Gemfile.lock",
          "mode": "100644"
        }
      ]
